Skip to main content
`Ctrl`+`K`

# PCMatApplyTranspose

Applies the transpose of preconditioner to multiple vectors stored as a `MATDENSE`. Like `PCApplyTranspose()`, `Y` and `X` must be different matrices.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMatApplyTranspose(PC pc, Mat X, Mat Y)

Collective

## Input Parameters

- pc - the `PC` preconditioner context

- X - block of input vectors

## Output Parameter

- Y - block of output vectors

## See Also

KSP: Linear System Solvers, `PC`, `PCApplyTranspose()`, `KSPMatSolveTranspose()`

## Level

developer

## Location

src/ksp/pc/interface/precon.c

## Examples

src/ksp/ksp/tutorials/ex79.c

## Implementations

PCMatApplyTranspose_ASM() in src/ksp/pc/impls/asm/asm.c
PCMatApplyTranspose_Cholesky() in src/ksp/pc/impls/factor/cholesky/cholesky.c
PCMatApplyTranspose_ILU() in src/ksp/pc/impls/factor/ilu/ilu.c
PCMatApplyTranspose_LU() in src/ksp/pc/impls/factor/lu/lu.c
PCMatApplyTranspose_HPDDMShell() in src/ksp/pc/impls/hpddm/pchpddm.cxx
PCMatApplyTranspose_KSP() in src/ksp/pc/impls/ksp/pcksp.c
PCMatApplyTranspose_MG() in src/ksp/pc/impls/mg/mg.c
PCMatApplyTranspose_Shell() in src/ksp/pc/impls/shell/shellpc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages